typedef struct {
        int            tick,        /* to draw tickmarks or not   */
                       lab,         /* to draw labels or not      */
                       dir,         /* the direction of the line  */
                       tickskip,    /* skip on the tickmarks      */
                       labskip,     /* skip in the labels         */
                       width,       /* the width of the lines     */
		       style,       /* the line style to use      */
                       labjust,     /* the label justification    */
                       labfont,     /* the label font to use      */
                       labipre,     /* label integer precision    */
                       labdpre;     /* label decimal precision    */
        float          loc,         /* the location of the line   */
                       cent,        /* the center of focus        */
                       tickscal,    /* the scale for the tickmarks*/
                       tickmin,     /* the minimum tickmark value */
                       tickmax,     /* the maximum tickmark value */
                       labmax,      /* the maximum lable value    */
                       labmin;      /* the minimum label value    */
	char           *AC,         /* axis color                 */
		       *TC,         /* Tickmark color             */
		       *LC;         /* Label Color                */
               } param;

