#include "GraphP.h"
#include "GraphAxis.h"

/************************************************************************/
/* Procedure display_grid                                      		*/
/* Programmer Dan Bennett     11/89					*/
/*									*/
/* This procedure will display the grid and all of the special grid     */
/* stuff */

void display_grid(wid)
       GraphWidget   wid;

       {
         param    *fid;
	 float    cp;
         int      loop;

	 fid = (param*) XGPmalloc(wid,sizeof(param));

         for (loop = 0;loop < 2;loop ++) {
         if (wid->graph.grid.Visible == XtVisible) {
	    fid->dir = HOROZONTAL;
            if (loop == 0) {
	      fid->lab = FALSE;
	      fid->tick = TRUE;
              fid->style = wid->graph.grid.YStyle;
            } else {
              fid->lab = wid->graph.grid.XLabelVisible;
              fid->style = wid->graph.grid.XStyle;
            }
	    fid->AC = wid->graph.grid.AxisColor;
	    fid->TC = wid->graph.grid.AxisColor;
	    fid->LC = wid->graph.grid.LabelColor;
	    fid->width = wid->graph.grid.XWidth;
	    fid->loc = wid->graph.grid.YCenter;
	    fid->cent = wid->graph.grid.XCenter;
	    fid->tickmin = wid->graph.graphYMin;
	    fid->tickmax = wid->graph.graphYMax;
	    fid->tickscal = wid->graph.grid.Xscale;	
	    fid->lab = wid->graph.grid.XLabelVisible;
            fid->labfont = wid->graph.grid.XLabelFont;
	    fid->labskip = wid->graph.grid.XLabelSkip;
	    fid->labmin = wid->graph.grid.LabXmin;
	    fid->labmax = wid->graph.grid.LabXmax;	
	    fid->labipre = wid->graph.grid.XIntPre;
	    fid->labdpre = wid->graph.grid.XDecPre;
	    fid->labjust = wid->graph.grid.Xjustify;
	    if (loop == 0) {
	        drawReferenceLine(wid,fid,9);
		fid->lab = FALSE;
		fid->tick = TRUE;
		fid->style = wid->graph.grid.XStyle;
	    } else {
		drawReferenceLine(wid,fid,Default);
                fid->lab = wid->graph.grid.YLabelVisible;
		fid->style = wid->graph.grid.YStyle;
	    }	
	    fid->dir = VERTICAL;
            fid->tickmin = wid->graph.graphXMin;
            fid->tickmax = wid->graph.graphXMax;
            fid->tickscal = wid->graph.grid.Yscale;
	    fid->loc = wid->graph.grid.XCenter;
	    fid->cent = wid->graph.grid.YCenter;
	    fid->width = wid->graph.grid.YWidth;
	    fid->style = wid->graph.grid.YStyle;
            fid->lab = wid->graph.grid.YLabelVisible;
            fid->labfont = wid->graph.grid.YLabelFont;
            fid->labskip = wid->graph.grid.YLabelSkip;
            fid->labmin = wid->graph.grid.LabYmin;
            fid->labmax = wid->graph.grid.LabYmax;
            fid->labipre = wid->graph.grid.YIntPre;
            fid->labdpre = wid->graph.grid.YDecPre;
            fid->labjust = wid->graph.grid.Yjustify;
	    if (loop == 0) {
	        drawReferenceLine(wid,fid,9);
	    } else {
		drawReferenceLine(wid,fid,Default);
	    }
         }
	 }
	 free((char*) fid);
  }

