#include "GraphP.h"
#include "pars.h"
#include "y.tab.h"

void initalize_axis1(wid)
	GraphWidget   wid;
	{
	   wid->graph.axis[0].Xscale = 10.0;
	   wid->graph.axis[0].Yscale = 10.0;
	   wid->graph.axis[0].TickXmax = 90.0;
	   wid->graph.axis[0].TickYmax = 90.0;
	   wid->graph.axis[0].TickXmin = -90.0;
	   wid->graph.axis[0].TickYmin = -90.0;
	   wid->graph.axis[0].LabXmax = 90.0;
	   wid->graph.axis[0].LabYmax = 90.0;
	   wid->graph.axis[0].LabXmin = -90.0;
	   wid->graph.axis[0].LabYmin = -90.0;
	   wid->graph.axis[0].XCenter = 0.0;
	   wid->graph.axis[0].YCenter = 0.0;
	   wid->graph.axis[0].Visible = XtVisible;
	   wid->graph.axis[0].XStyle = TSOLID;
	   wid->graph.axis[0].YStyle = TSOLID;
	   wid->graph.axis[0].XWidth = 0;
	   wid->graph.axis[0].YWidth = 0;
	   wid->graph.axis[0].XLabelVisible = XtVisible;
	   wid->graph.axis[0].YLabelVisible = XtVisible;
	   wid->graph.axis[0].XTickVisible = XtVisible;
	   wid->graph.axis[0].YTickVisible = XtVisible;
	   wid->graph.axis[0].Xjustify = DOWN;
	   wid->graph.axis[0].Yjustify = RIGHT;
	   wid->graph.axis[0].XIntPre = 3;
	   wid->graph.axis[0].YIntPre = 3;
	   wid->graph.axis[0].XDecPre = 0;
	   wid->graph.axis[0].YDecPre = 0;
	   wid->graph.axis[0].XLabelSkip = 4;
	   wid->graph.axis[0].YLabelSkip = 2;
	   wid->graph.axis[0].XLabelFont = TREGULAR;
	   wid->graph.axis[0].YLabelFont = TREGULAR;
	   wid->graph.axis[0].AutoAdjust = True;
	   wid->graph.axis[0].LabelColor = NULL;
	   wid->graph.axis[0].AxisColor = NULL;
	   wid->graph.axis[0].TickColor = NULL;
	}


void initalize_axis2(wid)
	GraphWidget   wid;
	{
	   wid->graph.axis[1].Xscale = 10.0;
	   wid->graph.axis[1].Yscale = 10.0;
	   wid->graph.axis[1].TickXmax = 90.0;
	   wid->graph.axis[1].TickYmax = 90.0;
	   wid->graph.axis[1].TickXmin = -90.0;
	   wid->graph.axis[1].TickYmin = -90.0;
	   wid->graph.axis[1].LabXmax = 90.0;
	   wid->graph.axis[1].LabYmax = 90.0;
	   wid->graph.axis[1].LabXmin = -90.0;
	   wid->graph.axis[1].LabYmin = -90.0;
	   wid->graph.axis[1].XCenter = -80.0;
	   wid->graph.axis[1].YCenter = -80.0;
	   wid->graph.axis[1].Visible = XtInvisible;
	   wid->graph.axis[1].XStyle = TSOLID;
	   wid->graph.axis[1].YStyle = TSOLID;
	   wid->graph.axis[1].XWidth = 0;
	   wid->graph.axis[1].YWidth = 0;
	   wid->graph.axis[1].XLabelVisible = XtVisible;
	   wid->graph.axis[1].YLabelVisible = XtVisible;
	   wid->graph.axis[1].XTickVisible = XtVisible;
	   wid->graph.axis[1].YTickVisible = XtVisible;
	   wid->graph.axis[1].Xjustify = DOWN;
	   wid->graph.axis[1].Yjustify = RIGHT;
	   wid->graph.axis[1].XIntPre = 3;
	   wid->graph.axis[1].YIntPre = 3;
	   wid->graph.axis[1].XDecPre = 0;
	   wid->graph.axis[1].YDecPre = 0;
	   wid->graph.axis[1].XLabelSkip = 4;
	   wid->graph.axis[1].YLabelSkip = 2;
	   wid->graph.axis[1].XLabelFont = TREGULAR;
	   wid->graph.axis[1].YLabelFont = TREGULAR;
	   wid->graph.axis[1].AutoAdjust = True;
	   wid->graph.axis[1].LabelColor = NULL;
	   wid->graph.axis[1].AxisColor = NULL;
	   wid->graph.axis[1].TickColor = NULL;
	}



void initalize_grid(wid)
	GraphWidget   wid;
	{
	   wid->graph.grid.Xscale = 10.0;
	   wid->graph.grid.Yscale = 10.0;
	   wid->graph.grid.TickXmax = 90.0;
	   wid->graph.grid.TickYmax = 90.0;
	   wid->graph.grid.TickXmin = -90.0;
	   wid->graph.grid.TickYmin = -90.0;
	   wid->graph.grid.LabXmax = 90.0;
	   wid->graph.grid.LabYmax = 90.0;
	   wid->graph.grid.LabXmin = -90.0;
	   wid->graph.grid.LabYmin = -90.0;
	   wid->graph.grid.XCenter = 0.0;
	   wid->graph.grid.YCenter = 0.0;
	   wid->graph.grid.Visible = XtInvisible;
	   wid->graph.grid.XStyle = TDASHED;
	   wid->graph.grid.YStyle = TDASHED;
	   wid->graph.grid.XWidth = 0;
	   wid->graph.grid.YWidth = 0;
	   wid->graph.grid.XLabelVisible = XtVisible;
	   wid->graph.grid.YLabelVisible = XtVisible;
	   wid->graph.grid.XTickVisible = XtVisible;
	   wid->graph.grid.YTickVisible = XtVisible;
	   wid->graph.grid.Xjustify = LEFT;
	   wid->graph.grid.Yjustify = DOWN;
	   wid->graph.grid.XIntPre = 3;
	   wid->graph.grid.YIntPre = 3;
	   wid->graph.grid.XDecPre = 0;
	   wid->graph.grid.YDecPre = 0;
	   wid->graph.grid.XLabelSkip = 4;
	   wid->graph.grid.YLabelSkip = 2;
	   wid->graph.grid.XLabelFont = TREGULAR;
	   wid->graph.grid.YLabelFont = TREGULAR;
	   wid->graph.grid.AutoAdjust = True;
	   wid->graph.grid.LabelColor = NULL;
	   wid->graph.grid.AxisColor = NULL;
	   wid->graph.grid.TickColor = NULL;
	}


void initalize_horilin(wid)
	GraphWidget   wid;
	{
	   wid->graph.horilin.Xscale = 10.0;
	   wid->graph.horilin.Yscale = 10.0;
	   wid->graph.horilin.TickXmax = 90.0;
	   wid->graph.horilin.TickYmax = 90.0;
	   wid->graph.horilin.TickXmin = -90.0;
	   wid->graph.horilin.TickYmin = -90.0;
	   wid->graph.horilin.LabXmax = 90.0;
	   wid->graph.horilin.LabYmax = 90.0;
	   wid->graph.horilin.LabXmin = -90.0;
	   wid->graph.horilin.LabYmin = -90.0;
	   wid->graph.horilin.XCenter = 50.0;
	   wid->graph.horilin.YCenter = 50.0;
	   wid->graph.horilin.Visible = XtInvisible;
	   wid->graph.horilin.XStyle = TSOLID;
	   wid->graph.horilin.YStyle = TSOLID;
	   wid->graph.horilin.XWidth = 0;
	   wid->graph.horilin.YWidth = 0;
	   wid->graph.horilin.XLabelVisible = XtVisible;
	   wid->graph.horilin.YLabelVisible = XtVisible;
	   wid->graph.horilin.XTickVisible = XtVisible;
	   wid->graph.horilin.YTickVisible = XtVisible;
	   wid->graph.horilin.Xjustify = DOWN;
	   wid->graph.horilin.Yjustify = LEFT;
	   wid->graph.horilin.XIntPre = 3;
	   wid->graph.horilin.YIntPre = 3;
	   wid->graph.horilin.XDecPre = 0;
	   wid->graph.horilin.YDecPre = 0;
	   wid->graph.horilin.XLabelSkip = 4;
	   wid->graph.horilin.YLabelSkip = 2;
	   wid->graph.horilin.XLabelFont = TREGULAR;
	   wid->graph.horilin.YLabelFont = TREGULAR;
	   wid->graph.horilin.AutoAdjust = True;
	   wid->graph.horilin.LabelColor = NULL;
	   wid->graph.horilin.AxisColor = NULL;
	   wid->graph.horilin.TickColor = NULL;
	}


void initalize_virtlin(wid)
	GraphWidget   wid;
	{
	   wid->graph.virtlin.Xscale = 10.0;
	   wid->graph.virtlin.Yscale = 10.0;
	   wid->graph.virtlin.TickXmax = 90.0;
	   wid->graph.virtlin.TickYmax = 90.0;
	   wid->graph.virtlin.TickXmin = -90.0;
	   wid->graph.virtlin.TickYmin = -90.0;
	   wid->graph.virtlin.LabXmax = 90.0;
	   wid->graph.virtlin.LabYmax = 90.0;
	   wid->graph.virtlin.LabXmin = -90.0;
	   wid->graph.virtlin.LabYmin = -90.0;
	   wid->graph.virtlin.XCenter = 50.0;
	   wid->graph.virtlin.YCenter = 50.0;
	   wid->graph.virtlin.Visible = XtInvisible;
	   wid->graph.virtlin.XStyle = TSOLID;
	   wid->graph.virtlin.YStyle = TSOLID;
	   wid->graph.virtlin.XWidth = 0;
	   wid->graph.virtlin.YWidth = 0;
	   wid->graph.virtlin.XLabelVisible = XtVisible;
	   wid->graph.virtlin.YLabelVisible = XtVisible;
	   wid->graph.virtlin.XTickVisible = XtVisible;
	   wid->graph.virtlin.YTickVisible = XtVisible;
	   wid->graph.virtlin.Xjustify = DOWN;
	   wid->graph.virtlin.Yjustify = LEFT;
	   wid->graph.virtlin.XIntPre = 3;
	   wid->graph.virtlin.YIntPre = 3;
	   wid->graph.virtlin.XDecPre = 0;
	   wid->graph.virtlin.YDecPre = 0;
	   wid->graph.virtlin.XLabelSkip = 4;
	   wid->graph.virtlin.YLabelSkip = 2;
	   wid->graph.virtlin.XLabelFont = TREGULAR;
	   wid->graph.virtlin.YLabelFont = TREGULAR;
	   wid->graph.virtlin.AutoAdjust = True;
	   wid->graph.virtlin.LabelColor = NULL;
	   wid->graph.virtlin.AxisColor = NULL;
	   wid->graph.virtlin.TickColor = NULL;
	}

/*********************************************************************/
/* set up the 3D axis stuff    probably not right but have to start  */
/* somewhere                                                         */
/*********************************************************************/

void initalize_3d_axis(wid)
	GraphWidget    wid;

	{
		wid->graph.axis3d.xline.start = 20;
		wid->graph.axis3d.xline.stop = -20;
		wid->graph.axis3d.xline.otherv1 = 0;
		wid->graph.axis3d.xline.otherv2 = 0;
		wid->graph.axis3d.xline.center = 0;
		wid->graph.axis3d.xline.tickdist = 10;
		wid->graph.axis3d.xline.visibility = FALSE;
		wid->graph.axis3d.xline.tickvis = TRUE;
		wid->graph.axis3d.yline.start = 20;
		wid->graph.axis3d.yline.stop = -20;
		wid->graph.axis3d.yline.otherv1 = 0;
		wid->graph.axis3d.yline.otherv2 = 0;
		wid->graph.axis3d.yline.center = 0;
		wid->graph.axis3d.yline.tickdist = 10;
		wid->graph.axis3d.yline.visibility = FALSE;
		wid->graph.axis3d.yline.tickvis = TRUE;
		wid->graph.axis3d.zline.start = 20;
		wid->graph.axis3d.zline.stop = -20;
		wid->graph.axis3d.zline.otherv1 = 0;
		wid->graph.axis3d.zline.otherv2 = 0;
		wid->graph.axis3d.zline.center = 0;
		wid->graph.axis3d.zline.tickdist = 10;
		wid->graph.axis3d.zline.visibility = FALSE;
		wid->graph.axis3d.zline.tickvis = TRUE;
	        wid->graph.axis3d.LabelColor = NULL;
	        wid->graph.axis3d.AxisColor = NULL;
	        wid->graph.axis3d.TickColor = NULL;
 	}
