#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <math.h>
#include <stdio.h>
#include <X11/Box.h>
#include <X11/Form.h>
#include <X11/Composite.h>
#include <X11/Command.h>
#include <X11/Shell.h>
#include <strings.h>
#include "Graph/Graph.h"
#include <X11/Xlib.h>
#include <X11/List.h>
#include "XGPSet.h"
#include "XGPUtils.h"
#include <X11/Dialog.h>

extern Widget thegraph, EXECUTE,REMOVE;

Widget  exec_mgr,
	exec_dialog,
	yes_button,
	no_button;

static void dircall(wid,cdat,rdat)
    Widget   wid;
    caddr_t  cdat,rdat;
    {
       Arg           args[5];
       static char   foo[30];
       Widget        hold;

       sprintf(foo,"");
       XtSetArg(args[0],XtNvalue,foo);
       XtSetValues(exec_dialog,args,1);
       hold = XtNameToWidget(exec_dialog,"value");
       XtSetArg(args[0],XtNborderWidth,0);
       XtSetArg(args[1],XtNlength,30);
       XtSetArg(args[2],XtNinsertPosition,0);
       XtSetValues(hold,args,3);

       XYMenu(exec_mgr,POPUP);
    }

static void nocall(wid,cdat,rdat)
    Widget   wid;
    caddr_t  cdat,rdat;
    {
       XYMenu(exec_mgr,POPDOWN);
    }

static void yescall(wid,cdat,rdat)
    Widget   wid;
    caddr_t  cdat,rdat;
    {
       char  *foo,bar[200];

       XYMenu(exec_mgr,POPDOWN);
       foo = XawDialogGetValueString(exec_dialog);
       sprintf(bar,"(Execute \"%s\")",foo);
       XGPParseString(thegraph,bar);
       (void) free(foo);
    }

void MakeExecutStuff(box1,box2)
	Widget  box1,box2;
	{
	    static XtCallbackRec Eit[]= {{dircall,NULL},{NULL,NULL}};
	    static XtCallbackRec Ait[]= {{yescall,NULL},{NULL,NULL}};
	    static XtCallbackRec Bit[]= {{nocall,NULL},{NULL,NULL}};
	    Arg args[10];
	    Widget tbox;

            XtSetArg(args[0],XtNlabel,"Execute");
            XtSetArg(args[1],XtNcallback,Eit);
            XtSetArg(args[2],XtNfromHoriz,REMOVE);
            EXECUTE=XtCreateManagedWidget("t",commandWidgetClass,box1,args,3);

    exec_mgr=XtCreatePopupShell("execmgr",overrideShellWidgetClass,box2,NULL,0);
    tbox = XtCreateManagedWidget("exec_box",boxWidgetClass,exec_mgr,NULL,0);
    XtSetArg(args[0],XtNlabel,"Execute File");
    XtCreateManagedWidget("exectitle",labelWidgetClass,tbox,args,1);
    XtSetArg(args[0],XtNlabel,"Enter File Name");
    exec_dialog=XtCreateManagedWidget("execdialog",dialogWidgetClass,
		     tbox,args,1);
    XtSetArg(args[0],XtNlabel,"Do");
    XtSetArg(args[1],XtNcallback,Ait);
    XtCreateManagedWidget("doit",commandWidgetClass,tbox,args,2);
    XtSetArg(args[0],XtNlabel,"Cancel");
    XtSetArg(args[1],XtNcallback,Bit);
    XtCreateManagedWidget("dontdoit",commandWidgetClass,tbox,args,2);
}
