#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <math.h>
#include <stdio.h>
#include <strings.h>
#include "Graph/Graph.h"
#include "XGPSet.h"
#include "XGPUtils.h"

extern Widget thegraph,
       toplevel,HARDCOPY,EXECUTE,
       output_mgr;

objects  current_object;
objects  current_directory;

extern char* findparam();

static void fillfields(wid,cdat,rdat)
    Widget   wid;
    caddr_t  cdat,rdat;
        {
	   char   *temp;

	      temp =findparam((char*)rdat,"OutputFormat") ;
	      printf("The field is  %s\n",temp);
              XYMenu(output_mgr,POPUP);
        }

static void outputdo(wid,cdat,rdat)
    Widget   wid;
    caddr_t  cdat,rdat;
    {
    
       XGPParseString(thegraph,"(HardCopy)\n"); 
       XYMenu(output_mgr,POPDOWN);
    }

static void outputcancle(wid,cdat,rdat)
    Widget   wid;
    caddr_t  cdat,rdat;
    {
     
       XYMenu(output_mgr,POPDOWN);
    }

static void dohardcopy(wid,cdat,rdat)
    Widget   wid;
    caddr_t  cdat,rdat;
    {
       Arg args[1];
       char *temp;
       static XtCallbackRec ary[]={{fillfields,NULL},{NULL,NULL}};

       XtSetArg(args[0],XtNresponse,ary);
       XtSetValues(thegraph,args,1);
 
       XGPParseString(thegraph,"(Inquire World (Output))\n"); 
    }

void MakeHardcopyStuff(box,box2)
	Widget   box,box2;
	{
	Arg args[10];
        Widget tbox;
        static XtCallbackRec ary[]= {{dohardcopy,NULL},{NULL,NULL}};
        static XtCallbackRec cry[]= {{outputdo,NULL},{NULL,NULL}};
        static XtCallbackRec dry[]= {{outputcancle,NULL},{NULL,NULL}};

        current_directory.curent = NULL;
        current_directory.last = NULL;
        current_directory.string = NULL;
        current_directory.numlist = NULL;
        current_directory.objects = 0;
        current_directory.position = 0;

        XtSetArg(args[0],XtNlabel,"Output");
        XtSetArg(args[1],XtNcallback,ary);
        XtSetArg(args[2],XtNfromHoriz,EXECUTE);
        HARDCOPY=XtCreateManagedWidget("output",commandWidgetClass,box,args,3);

/* make a manager and it's buttons */
        output_mgr = XtCreatePopupShell("output",overrideShellWidgetClass,box2,
           NULL,0);
        tbox = XtCreateManagedWidget("output_box",boxWidgetClass,
           output_mgr,NULL,0);
        XtSetArg(args[0],XtNlabel,"Output Parameters");
        XtCreateManagedWidget("quit_title",labelWidgetClass,tbox,args,1);

/* make do and cancle button */

        XtSetArg(args[0],XtNlabel,"Do");
        XtSetArg(args[1],XtNcallback,cry);
        XtCreateManagedWidget("outputdo",commandWidgetClass,tbox,args,2);
        XtSetArg(args[0],XtNlabel,"Cancel");
        XtSetArg(args[1],XtNcallback,dry);
        XtCreateManagedWidget("outputcancel",commandWidgetClass,tbox,args,2);

}
