#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <math.h>
#include <stdio.h>
#include <X11/Box.h>
#include <X11/Form.h>
#include <X11/Composite.h>
#include <X11/Command.h>
#include <X11/Shell.h>
#include <strings.h>
#include "Graph/Graph.h"
#include <X11/Xlib.h>
#include <X11/List.h>
#include "XGPSet.h"
#include "XGPUtils.h"
#include <X11/Dialog.h>

extern Widget thegraph, HARDCOPY,SAVE;

Widget  save_mgr,
	save_dialog,
	yes_button,
	no_button;

static void dircall(wid,cdat,rdat)
    Widget   wid;
    caddr_t  cdat,rdat;
    {
       Arg           args[5];
       static char   foo[30];
       Widget        hold;

       sprintf(foo,"");
       XtSetArg(args[0],XtNvalue,foo);
       XtSetValues(save_dialog,args,1);
       hold = XtNameToWidget(save_dialog,"value");
       XtSetArg(args[0],XtNborderWidth,0);
       XtSetArg(args[1],XtNlength,30);
       XtSetArg(args[2],XtNinsertPosition,0);
       XtSetValues(hold,args,3);

       XYMenu(save_mgr,POPUP);
    }

static void nocall(wid,cdat,rdat)
    Widget   wid;
    caddr_t  cdat,rdat;
    {
       XYMenu(save_mgr,POPDOWN);
    }

static void yescall(wid,cdat,rdat)
    Widget   wid;
    caddr_t  cdat,rdat;
    {
       char  *foo,bar[200];

       XYMenu(save_mgr,POPDOWN);
       foo = XawDialogGetValueString(save_dialog);
       sprintf(bar,"(Save \"%s\")",foo);
       XGPParseString(thegraph,bar);
       (void) free(foo);
    }

void MakeSaveStuff(box1,box2)
	Widget  box1,box2;
	{
	    static XtCallbackRec Eit[]= {{dircall,NULL},{NULL,NULL}};
	    static XtCallbackRec Ait[]= {{yescall,NULL},{NULL,NULL}};
	    static XtCallbackRec Bit[]= {{nocall,NULL},{NULL,NULL}};
	    Arg args[10];
	    Widget tbox;

            XtSetArg(args[0],XtNlabel,"Save");
            XtSetArg(args[1],XtNcallback,Eit);
            XtSetArg(args[2],XtNfromHoriz,HARDCOPY);
            SAVE=XtCreateManagedWidget("b",commandWidgetClass,box1,args,3);

    save_mgr=XtCreatePopupShell("savemgr",overrideShellWidgetClass,box2,NULL,0);
    tbox = XtCreateManagedWidget("save_box",boxWidgetClass,save_mgr,NULL,0);
    XtSetArg(args[0],XtNlabel,"Save File");
    XtCreateManagedWidget("savetitle",labelWidgetClass,tbox,args,1);
    XtSetArg(args[0],XtNlabel,"Enter File Name");
    save_dialog=XtCreateManagedWidget("savedialog",dialogWidgetClass,
		     tbox,args,1);
    XtSetArg(args[0],XtNlabel,"Do");
    XtSetArg(args[1],XtNcallback,Ait);
    XtCreateManagedWidget("doit",commandWidgetClass,tbox,args,2);
    XtSetArg(args[0],XtNlabel,"Cancel");
    XtSetArg(args[1],XtNcallback,Bit);
    XtCreateManagedWidget("dontdoit",commandWidgetClass,tbox,args,2);
}
