#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <math.h>
#include <stdio.h>
#include <X11/Box.h>
#include <X11/Form.h>
#include <X11/Composite.h>
#include <X11/Command.h>
#include <X11/Shell.h>
#include <strings.h>
#include "Graph/Graph.h"
#include <X11/Xlib.h>
#include <X11/List.h>
#include "XGPSet.h"

Widget thegraph,
       toplevel,
       quit_mgr,
       output_mgr,
       buisy_done,
       SET,REMOVE,EXECUTE,HARDCOPY,IDLE,SAVE,QUIT,TITLE,ERRORBOX,
       COMM,
       tbox;

objects  current_object;

extern void MakeExecutStuff();
extern void moveEvent();
extern void setinit();
extern void RemoveInit();
extern void XGPError();
extern void bw();
extern void MakeBasicStuff();
extern void MakeHardcopyStuff();
extern void MakeComBox();

void foobar()
   {
      char  bar[100];

      sprintf(bar,"(Set %s (Color \"RED\"))",current_object.curent);
      XGPParseString(thegraph,bar);
      if (NULL != current_object.last) {
          sprintf(bar,"(Set %s (Color \"BLACK\"))",current_object.last);
          XGPParseString(thegraph,bar);
      }
      current_object.last = (char*) malloc(sizeof(current_object.curent));
      strcpy(current_object.last,current_object.curent);
   }

static void getstringfromxgp(wid,cdat,rdat)
    Widget   wid;
    caddr_t  cdat,rdat;

  { 
     printf("in get string from XGP \n the string is :%s: \n",(char*)rdat);
  }

main(argc,argv)
   int argc;
   char *argv[];

   {
    Widget 
            box,
	    box2,
	    top2;
    
    Arg     args[10];
    char    *argument, *title;
    int     i;
	    
    static XtCallbackRec bry[]= {{getstringfromxgp,NULL},{NULL,NULL}};
    static XtCallbackRec fry[]= {{bw,NULL},{NULL,NULL}};
    static XtCallbackRec error[]= {{XGPError,NULL},{NULL,NULL}};
    int     heig = 515,
	    widt = 515;
  
   title = NULL;
   if ( argc != 1 )
       for (i=1; i<argc; i++) {
           argument = argv[i];
           if ( strcmp(argument,"-title") == 0 ) {
             title = argv[++i];
	   }
	   if ( strcmp(argument,"-size") == 0) {
	     heig = atoi(argv[++i]);
	     widt = atoi(argv[++i]);
	   }
       }
            
    toplevel = XtInitialize(argv[0],"XGP",NULL,0,&argc,argv);
    XtSetArg(args[0],XtNborderWidth,0);
    box = XtCreateManagedWidget("xgp1",formWidgetClass,toplevel,args,1);

/* make a second box for the popup menus */


      XtSetArg(args[0],XtNmappedWhenManaged,False);
      top2 = XtCreateApplicationShell("menues",transientShellWidgetClass,
                                args,1);
      box2 = XtCreateManagedWidget("xgp2",boxWidgetClass,top2,args,1);

/********************************************************************/
/*   add an event handler to move the popup menues when the main    */
/* box part of the interface is moved.                              */
/********************************************************************/

    XtAddEventHandler(toplevel,StructureNotifyMask,False,moveEvent,NULL);

    if (title != NULL) {
        XtSetArg(args[0],XtNlabel,(XtArgVal) title);
    } else {
        XtSetArg(args[0],XtNlabel,(XtArgVal) "XGP II");
    }
    TITLE = XtCreateManagedWidget("label",labelWidgetClass,box,args,1);

    setinit(box,box2);
    RemoveInit(box,box2);
    MakeExecutStuff(box,box2);
    MakeHardcopyStuff(box,box2);
    MakeSaveStuff(box,box2);
    MakeBasicStuff(box,box2);
    MakeErrorStuff(box2,widt);

/* make the graph widget */

    XtSetArg(args[0],XtNheight,heig);
    XtSetArg(args[1],XtNwidth,widt);
    XtSetArg(args[2],XtNbuisy,fry);
    XtSetArg(args[3],XtNerror,error);
    XtSetArg(args[4],XtNresponse,bry);
    XtSetArg(args[5],XtNfromVert,TITLE);
    
    thegraph = XtCreateManagedWidget("hello",graphWidgetClass,box,args,6);

/* make a box for typing commands if necessary */

    MakeCommBox(box,box2,widt);

    XtRealizeWidget(top2); 
    XtRealizeWidget(toplevel);

    XtMainLoop();
}
