#include <stdio.h>
#include "GraphP.h"
#include "GraphAxis.h"

void display_ref(wid)
       GraphWidget   wid;

       {
         Position x1,x2,y1,y2;
         float    current,start,stop;
         int      tickskip = 0;
	 param    *fid;

	   fid = (param*) XGPmalloc(wid,sizeof(param));
           if (wid->graph.virtlin.Visible ){
		fid->AC = wid->graph.virtlin.AxisColor;
		fid->TC = wid->graph.virtlin.TickColor;
		fid->LC = wid->graph.virtlin.LabelColor;
		fid->dir = VERTICAL;
                fid->loc = wid->graph.virtlin.YCenter;
		fid->lab = wid->graph.virtlin.YLabelVisible; 
                fid->tick = wid->graph.virtlin.YTickVisible; 
		fid->tickskip = wid->graph.virtlin.YLabelSkip;
                fid->labskip = wid->graph.virtlin.YLabelSkip;
		fid->width = wid->graph.virtlin.YWidth;
		fid->style = wid->graph.virtlin.YStyle; 
		fid->labfont = wid->graph.virtlin.YLabelFont;
		fid->labipre = wid->graph.virtlin.YIntPre;
		fid->labdpre = wid->graph.virtlin.YDecPre;
		fid->labjust = wid->graph.virtlin.Yjustify;
		fid->cent = wid->graph.virtlin.XCenter;
		fid->tickscal = wid->graph.virtlin.Yscale;
		fid->tickmin = wid->graph.virtlin.TickYmin;
		fid->tickmax = wid->graph.virtlin.TickYmax; 
		fid->labmin = wid->graph.virtlin.LabYmin;
		fid->labmax = wid->graph.virtlin.LabYmax;
		drawReferenceLine(wid,fid,Default);
	   }
	   if (wid->graph.horilin.Visible ){
		fid->dir = HOROZONTAL;
		fid->AC = wid->graph.horilin.AxisColor;
		fid->TC = wid->graph.horilin.TickColor;
		fid->LC = wid->graph.horilin.LabelColor;
                fid->loc = wid->graph.horilin.XCenter;
		fid->lab = wid->graph.horilin.XLabelVisible; 
                fid->tick = wid->graph.horilin.XTickVisible; 
		fid->tickskip = wid->graph.horilin.XLabelSkip;
                fid->labskip = wid->graph.horilin.XLabelSkip;
		fid->width = wid->graph.horilin.XWidth;
		fid->style = wid->graph.horilin.XStyle;
		fid->labfont = wid->graph.horilin.XLabelFont;
		fid->labipre = wid->graph.horilin.XIntPre;
		fid->labdpre = wid->graph.horilin.XDecPre;
		fid->labjust = wid->graph.horilin.Xjustify;
		fid->cent = wid->graph.horilin.YCenter;
		fid->tickscal = wid->graph.horilin.Xscale;
		fid->tickmin = wid->graph.horilin.TickXmin;
		fid->tickmax = wid->graph.horilin.TickXmax; 
		fid->labmin = wid->graph.horilin.LabXmin;
		fid->labmax = wid->graph.horilin.LabXmax;
		drawReferenceLine(wid,fid,Default);
           } 
           free(fid);
}
