########################################################
#
INC = /usr/include/X11
#LIB =  -ll -lm -lXaw -lXmu -lXt -lX11 -lXext
#
# if bison is not to be used comment out the next 2 lines and uncomment next 
#
YACC = bison 
YFLAGS = -dy
CFLAGS = -g 
#
# uncoment the YFLAGS line if bison is not to be used
#
#YFLAGS = -d
#
#if flex is not to be used comment out the following lines
#
LEX = flex
LFLAGS = -iI
#
P=&

all:libXGP.a

OBJS2 = Graph.o Object.o Parser.o pars.o scan.o stbl.o \
	Grapherror.o Drawing.o Graphmath.o GraphText.o World.o \
	Primitive.o Complex.o GraphFiles.o GraphAxis.o GraphGrid.o \
	GraphRef.o GraphRefInit.o GraphRefLin.o GraphOutput.o GraphUtil.o \
	Graph3D.o Graph3DRef.o Graphhlhs.o  GraphCircle.o GraphColor.o  \
	GraphMemmory.o GraphInquery.o


SRCS =  Graph.c Object.c Parser.c GraphText.c \
	Grapherror.c  Drawing.c  Graphmath.c World.c \
	Primitive.c Complex.c GraphFiles.c GraphAxis.c GraphGrid.c \
	GraphRef.c GraphRefInit.c GraphRefLin.c GraphOutput.c GraphUtil.c \
	Graph3D.c Graph3DRef.c Graphhlhs.c GraphCircle.c GraphColor.c \
	GraphMemmory.c GraphInquery.c

#libXGP.a :$(OBJS2)
#	rm -f $@
#	ar clq $@ $(OBJS2)
#	ranlib $@


libXGP.a :$(P) $(OBJS2)
	rm -f $@
	ar clq $@ $(OBJS2)
	ranlib $@

clean : 
	rm -f *.o  libXGP.a y.tab.h 

Complex.o : y.tab.h GraphP.h
Drawing.o : y.tab.h GraphP.h
GraphText.o : y.tab.h GraphP.h
Primitive.o : y.tab.h GraphP.h
World.o : y.tab.h GraphP.h
GraphGrid.o : GraphGrid.c GraphAxis.h GraphP.h
GraphAxis.o : GraphAxis.c GraphAxis.h GraphP.h
Graph.o : GraphP.h Graph.h y.tab.h 
GraphRef.o : GraphRef.c GraphAxis.h GraphP.h
Object.o : ObjectsP.h y.tab.h  GraphP.h
y.tab.h: pars.o scan.l
pars.o: pars.y pars.h
stbl.o: stbl.c ObjectsP.h y.tab.h
Parser.o: Parser.c ObjectsP.h y.tab.h  GraphP.h
scan.o: scan.l y.tab.h ObjectsP.h pars.h
GraphRefInit.o : GraphP.h GraphRefInit.c
GraphRefLin.o : GraphAxis.h GraphP.h GraphRefLin.c
GraphOutput.o : GraphOutput.c GraphP.h
Graph3DRef.o : y.tab.h ObjectsP.h GraphP.h
Grahphlhs.o : ObjectsP.h GraphP.h
GraphInquery.o : y.tab.h
