#ifndef _pars_h_ 
#define _pars_h_ 1

/*********************************************************************/
/* The shell for this file and for all of the parser scanner was     */
/* was provided by Sanjiva Weerawarana and was origionally developed */
/* for GENCRAY  his Masters Thesis                                   */
/*********************************************************************/

extern int	xgp_paran_ct; /* the number of parenthises in the line */

typedef struct _XGP_node {
	int			node_type; /* what is stored here */
	struct _XGP_node	*child[2];
	struct _XGP_node	*sibling;
	union {
		char		*_sval;    /* storage bin for strings */
		int		_ival;     /* storage bin for integers */
		float		_fval;     /* storage bin for float    */
	} _info;
} XGP_node;

/*********************************************************************/
/* The folowing provide a nice way to dereference the complex        */
/* structure above.                                                  */
/*********************************************************************/

#define	sval	_info._sval      
#define	ival	_info._ival
#define	fval	_info._fval

XGP_node	*newnode(),
                *siblings(),
		*makesibs();
extern XGP_node	*XGP_command;

#endif _pars_h_
