#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <math.h>
#include <stdio.h>
#include <X11/Box.h>
#include <X11/Form.h>
#include <X11/Composite.h>
#include <X11/Command.h>
#include <X11/Shell.h>
#include <strings.h>
#include "Graph/Graph.h"
#include <X11/Xlib.h>
#include <X11/List.h>
#include "XGPSet.h"
#include "XGPUtils.h"
#include <X11/Dialog.h>

extern Widget  COMM,thegraph;
static char  CommandString[300];
static Widget hold;

static void GetString1(w,event,params,num_params)
     Widget  w;
     XEvent  *event;
     String  *params;
     int     num_params;
     {
	 Arg   args[1];
	 char  *CommandString;

	 CommandString = XawDialogGetValueString(COMM);
         XGPParseString(thegraph,CommandString);

         XtSetArg(args[0],XtNinsertPosition,0);
         XtSetValues(hold,args,1);
     }


void MakeCommBox(box1,box2,width)
     Widget  box1,box2;
     int     width;
{
     Arg args[10];
     XtTranslations trans;
     static char trans_string[]="<Key>Return: getit() kill-to-end-of-line() \n";
     static XtActionsRec actionList[] = {{"getit",GetString1}};

     sprintf(CommandString," ");
     XtSetArg(args[0],XtNfromVert,thegraph);
     XtSetArg(args[1],XtNlabel,"Enter XGP Command :");
     XtSetArg(args[2],XtNvalue,CommandString);
     COMM=XtCreateManagedWidget("b",dialogWidgetClass,box1,args,3);
     
     XtAddActions(actionList,XtNumber(actionList));
     trans = XtParseTranslationTable(trans_string);

     hold = XtNameToWidget(COMM,"value");
     XtSetArg(args[0],XtNwidth,(Dimension) width);
     XtSetArg(args[2],XtNinsertPosition,0);
     XtSetArg(args[1],XtNlength,300);
     XtSetValues(hold,args,3);
     XtOverrideTranslations(hold,trans);
}
